## ros-galactic-vda5050-msgs 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vda5050_msgs)


if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

find_package(std_msgs REQUIRED)

set(msg_files
    "msg/Action.msg"
    "msg/ActionParameter.msg"
    "msg/ActionParameterDefinition.msg"
    "msg/AGVAction.msg"
    "msg/AGVGeometry.msg"
    "msg/AGVPosition.msg"
    "msg/BatteryState.msg"
    "msg/BoundingBoxReference.msg"
    "msg/Connection.msg"
    "msg/ControlPoint.msg"
    "msg/CurrentAction.msg"
    "msg/Edge.msg"
    "msg/EdgeState.msg"
    "msg/Envelope2D.msg"
    "msg/Envelope3D.msg"
    "msg/Error.msg"
    "msg/ErrorReference.msg"
    "msg/Factsheet.msg"
    "msg/Info.msg"
    "msg/InfoReference.msg"
    "msg/Header.msg"
    "msg/InstantActions.msg"
    "msg/Load.msg"
    "msg/LoadDimensions.msg"
    "msg/LoadSet.msg"
    "msg/LoadSpecification.msg"
    "msg/MaxArrayLens.msg"
    "msg/MaxStringLens.msg"
    "msg/Node.msg"
    "msg/NodePosition.msg"
    "msg/NodeState.msg"
    "msg/OptionalParameter.msg"
    "msg/Order.msg"
    "msg/OrderState.msg"
    "msg/PhysicalParameters.msg"
    "msg/PolygonPoint.msg"
    "msg/Position.msg"
    "msg/ProtocolFeatures.msg"
    "msg/ProtocolLimits.msg"
    "msg/SafetyState.msg"
    "msg/Timing.msg"
    "msg/Trajectory.msg"
    "msg/TypeSpecification.msg"
    "msg/Velocity.msg"
    "msg/Visualization.msg"
    "msg/WheelDefinition.msg"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES
    std_msgs
    builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-galactic-vda5050-msgs (1.1.1-2focal) focal; urgency=high

  * Fixed ROS buildfarm job (#29 <https://github.com/inorbit-ai/ros_amr_interop/issues/29>)

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Fri, 28 Oct 2022 03:00:00 -0000

=== debian/control ===
Source: ros-galactic-vda5050-msgs
Section: misc
Priority: optional
Maintainer: Jannik Abbenseth <jba@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-rosidl-default-generators, ros-galactic-std-msgs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: https://www.vda.de/dam/vda/publications/2019/Logistik/VDA5050.pdf
Standards-Version: 3.9.2

Package: ros-galactic-vda5050-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rosidl-default-runtime, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: The vda5050_msgs package contains the datatypes (json objects) specified by the VDA &quot;Arbeitskreis Schlüsseltechnologien&quot; in their recommondation &quot;VDA 5050 - Schnittstelle zur Kommunikation zwischen Fahrerlosen Transportfahrzeugen (FTF) und einer Leitsteuerung.
 This package provides the message files which can be used to be (de-)serialized with an implementation of mqtt (e.g mqtt_bridge) or to plain json (rospy_message_converter) or similar.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-vda5050-msgs//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
